package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2024-05-27
 * @description : 消息推送策略类型
 */
@Getter
@AllArgsConstructor
public enum PushMsgStrategyTypeEnum {

    /**
     * 全局配置
     */
    PUSH_MSG_STRATEGY_DEFAULT("PUSH_MSG_STRATEGY_DEFAULT"),

    /**
     * 充值策略
     */
    PUSH_MSG_STRATEGY_RECHARGE("PUSH_MSG_STRATEGY_RECHARGE"),

    /**
     * 等级策略
     */
    PUSH_MSG_STRATEGY_LEVEL("PUSH_MSG_STRATEGY_LEVEL");

    /**
     * 消息推送策略类型
     */
    private String value;
}
